petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkGetConnectedNodes

Return the connected vertices for this edge point

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetConnectedNodes(DM dm,PetscInt edge,const PetscInt *vertices[])

Not Collective Many br

### Input Parameters

| dm | - The DMNetwork object Many br
| p | - the edge point Many br

### Output Paramters

vertices -vertices connected to this edge Many br

Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

### See Also

DMNetworkCreate, DMNetworkGetSupportingEdges

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages